#pragma once

/*
	ApplicationFramework
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Core System Interface

#include "ISystem.h"

namespace ApplicationFramework {

class ICoreSystem : public ISystem
{
public:
    virtual void Prepare() = 0;
    virtual void Render() = 0;
    virtual void Present() = 0;
};

} // ApplicationFramework namespace
